Eclipse GEF 3.3

## org.eclipse.gef.editpolicies
Class FeedbackHelper

    java.lang.Object
      org.eclipse.gef.editpolicies.FeedbackHelper

public class FeedbackHelper
extends Object

Helps display connection feedback during drags of the connection ends. This class is used internally by the provided EditPolicy implementation.

Constructor Summary
`FeedbackHelper()` Constructs a new FeedbackHelper.

Method Summary
`protected Connection` `getConnection()` Returns the connection being used to show feedback.
`protected boolean` `isMovingStartAnchor()` Returns true is the feedback is moving the source anchor
`protected void` `setAnchor(ConnectionAnchor anchor)` Sets the anchor for the end being moved.
`void` `setConnection(Connection c)` Sets the connection.
`void` `setMovingStartAnchor(boolean value)` Sets if moving start of connection.
`void` `update(ConnectionAnchor anchor, Point p)` Updates the feedback based on the given anchor or point.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeedbackHelper

    public FeedbackHelper()

  Constructs a new FeedbackHelper.

Method Detail

### getConnection

    protected Connection getConnection()

  Returns the connection being used to show feedback.

  Returns:
    the connection

### isMovingStartAnchor

    protected boolean isMovingStartAnchor()

  Returns true is the feedback is moving the source anchor

  Returns:
    `true` if moving start

### setConnection

    public void setConnection(Connection c)

  Sets the connection.

  Parameters:
    `c` - connection

### setMovingStartAnchor

    public void setMovingStartAnchor(boolean value)

  Sets if moving start of connection.

  Parameters:
    `value` - `true` if the starts is being moved

### setAnchor

    protected void setAnchor(ConnectionAnchor anchor)

  Sets the anchor for the end being moved.

  Parameters:
    `anchor` - the new anchor

### update

    public void update(ConnectionAnchor anchor,
                       Point p)

  Updates the feedback based on the given anchor or point. The anchor is used unless `null`. The point is used when there is no anchor.

  Parameters:
    `anchor` - `null` or an anchor
    `p` - the point to use when there is no anchor

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.